/* =========================================================
   VARIABLES
========================================================= */

:root {
  /* text styles */
  --textstyle-typeface-main: "Cormorant Garamond", serif;
  --textstyle-lineheight-main: 1.7rem;
  /* size */
  --size-body-width-max: 800px;
  --size-text-small: 0.9rem;
  --size-text-standard: 1.1rem;
  --size-text-title: 3rem;
  --size-letter-spacing-standard: 0.08rem;
  --size-padding-small: 0.4rem;
  --size-padding-standard: 1.2rem;
  --size-padding-large: 3.5rem;
  /* colour */
  --color-default: #073294;
  --color-background: #FFFCF0;
  --color-border: #999;
  --color-text: black;
  --color-text-muted: #444;
  --opacity-link-hover: 0.75;
}

/* =========================================================
   BASE
========================================================= */

html { /* prevents different centering for pages w and w/o scrollbar */
    scrollbar-gutter: stable;
}

body {
  background-color: var(--color-background);
  color: var(--color-text);

  margin: 0 auto;                           /* center content horizontally */

  font-size: var(--size-text-standard);
  font-family: var(--textstyle-typeface-main);
  line-height: var(--textstyle-lineheight-main);
}

/* =========================================================
   LINKS
========================================================= */
a {
  color: inherit;
  text-decoration: none;
}
a:hover {
  opacity: var(--opacity-link-hover);
}

/* =========================================================
   LAYOUT
========================================================= */

.page-container {
    max-width: var(--size-body-width-max);

    margin: 0 auto;
    padding: 0 var(--size-padding-standard);
}

/* =========================================================
   HEADER
========================================================= */

.site-title {
  margin: 2rem 0 0.7rem 0;
  text-align: center;
}

.site-title a {
  display: block;

  text-decoration: none; /* removes underline from link */

  padding: var(--size-padding-standard) 0;

  color: var(--color-text);

  font-family: var(--textstyle-typeface-main);
  font-size: var(--size-text-title);
  letter-spacing: var(--size-letter-spacing-standard);
}

.site-title a:hover {
  opacity: var(--opacity-link-hover);
}

.site-tagline {
    margin-bottom: var(--size-padding-large);

    border-bottom: 1px solid var(--color-border);
    border-top: 1px solid var(--color-border);

    font-size: var(--size-text-small);
    letter-spacing: var(--size-letter-spacing-standard);

    font-family: var(--textstyle-typeface-main);
    color: var(--color-text-muted);

    text-align: center;
}


/* =========================================================
   LINK LISTS
========================================================= */
/* Removes bullet points and link formatting from <ul> object */
.link-list {
  list-style: none;
  padding-left: 0;
  margin-left: 0;
}
.link-list a {
  color: inherit;
  text-decoration: none;
}
.link-list a:hover {
  opacity: var(--opacity-link-hover);
}


/* =========================================================
   SIDE BAR
========================================================= */
.story-layout {
  display: flex;
}

/* left bar background */
.story-progress {
  position: fixed;
  top: 0;
  left: 0;
  width: 20px;
  height: 100%;

  background: color-mix(in srgb, var(--story-color, --color-default) 50%, transparent);
}

/* filled portion */
.story-progress::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: var(--scroll-progress, 0%);

  background: var(--story-color, --color-default);
}


/* =========================================================
   BUTTONS
========================================================= */

.browse-button {
    /* positioning */
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    /* size */
    padding: var(--size-padding-small);
    /* border */
    border: 1px solid var(--color-border);
    border-radius: 10px;
    /* background */
    background: none;
    /* text */
    text-decoration: none;
    color: var(--color-text);
    font-family: var(--textstyle-typeface-main);
    font-size: var(--size-text-standard);
}


.browse-button:hover {
    transform: translateY(-2px);
    cursor: pointer;
}





/* =========================================================
   NOT YET PROCESSED
========================================================= */


.layout {
  display: grid;
  grid-template-columns: 1fr 200px;
  gap: 2rem;
  margin-top: 3.5rem;
}


.color-grid {
  display: grid;
  grid-template-columns: repeat(auto-fill, 50px);
  gap: 10px;
  visibility: hidden; /* will be overridden after shuffle to avoid FOUC */
}

.color-block {
  width: 50px;
  height: 50px;
  display: block;
  border-radius: 4px;
}

/* Date styling */
time {
  color: grey;
  font-size: var(--size-text-small);
  display: block;        /* makes sure it’s on its own line */
  margin-bottom: 1rem;
}

/* Footer styling */
footer {
  margin-top: 2em;
  font-size: 0.8em;
  color: #555;
  text-align: center;
}
